const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const saved_articles = sequelize.define(
    'saved_articles',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

folder_name: {
        type: DataTypes.TEXT,
      
      

      },

saved_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  saved_articles.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.saved_articles.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });

    db.saved_articles.belongsTo(db.library_articles, {
      as: 'article',
      foreignKey: {
        name: 'articleId',
      },
      constraints: false,
    });




    db.saved_articles.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.saved_articles.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return saved_articles;
};


